﻿@page
@model AquaWebApp.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Game overview</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>

<form asp-action="Index" method="get">
    <div class="form-actions no-color">
        <p>
            Find by title: <input type="text" name="SearchString" value="@Model.CurrentFilter" id="searchString"/>
            <input type="submit" class="btn btn-primary" value="Search" id="searchButton"/> |
            <a asp-action="" id="resetSearch">reset</a>
        </p>
    </div>
</form>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].PublicationYear)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].MinimumPlayers)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].MaximumPlayers)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @{ if (Model.Game.Count == 0)
            {
                <tr><td>No games found.</td></tr>
            }
        }
        @foreach (var item in Model.Game)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PublicationYear)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MinimumPlayers)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MaximumPlayers)
                </td>
                <td>
                    <a asp-page="./Edit" asp-route-id="@item.Id">
                        <svg class="bi bi-pencil" width="25px" height="25px" viewBox="0 0 20 20" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M13.293 3.293a1 1 0 011.414 0l2 2a1 1 0 010 1.414l-9 9a1 1 0 01-.39.242l-3 1a1 1 0 01-1.266-1.265l1-3a1 1 0 01.242-.391l9-9zM14 4l2 2-9 9-3 1 1-3 9-9z" clip-rule="evenodd"></path>
                            <path fill-rule="evenodd" d="M14.146 8.354l-2.5-2.5.708-.708 2.5 2.5-.708.708zM5 12v.5a.5.5 0 00.5.5H6v.5a.5.5 0 00.5.5H7v.5a.5.5 0 00.5.5H8v-1.5a.5.5 0 00-.5-.5H7v-.5a.5.5 0 00-.5-.5H5z" clip-rule="evenodd"></path>
                        </svg>
                    </a> |
                    <a asp-page="./Delete" asp-route-id="@item.Id">
                        <svg class="bi bi-trash" width="25px" height="25px" viewBox="0 0 20 20" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path d="M7.5 7.5A.5.5 0 018 8v6a.5.5 0 01-1 0V8a.5.5 0 01.5-.5zm2.5 0a.5.5 0 01.5.5v6a.5.5 0 01-1 0V8a.5.5 0 01.5-.5zm3 .5a.5.5 0 00-1 0v6a.5.5 0 001 0V8z"></path>
                            <path fill-rule="evenodd" d="M16.5 5a1 1 0 01-1 1H15v9a2 2 0 01-2 2H7a2 2 0 01-2-2V6h-.5a1 1 0 01-1-1V4a1 1 0 011-1H8a1 1 0 011-1h2a1 1 0 011 1h3.5a1 1 0 011 1v1zM6.118 6L6 6.059V15a1 1 0 001 1h6a1 1 0 001-1V6.059L13.882 6H6.118zM4.5 5V4h11v1h-11z" clip-rule="evenodd"></path>
                        </svg>
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>

<ul class="pagination">
    @{ for (var i = 1; i <= Model.TotalPages; i++)
        {
            <li class="page-item @(i == Model.CurrentPage ? "active" : "")">
                <a asp-page="./Index" 
                   asp-route-currentpage="@i" 
                   asp-route-pageIndex="@i"
                   asp-route-currentFilter="@Model.CurrentFilter"
                   class="page-link"
                   >@i</a>
            </li>
        }
    }
</ul>